SPI_is_cursor_plan()

NAME
SPI_is_cursor_plan - return true if a plan prepared by SPI_prepare can be used with SPI_cursor_open

SYNOPSIS

bool SPI_is_cursor_plan(void * plan)

DESCRIPTION

SPI_is_cursor_plan returns true if a plan prepared by SPI_prepare can be passed as an argument to SPI_cursor_open and false if that is not the case. The criteria are that the plan represents one single command and that this command is a SELECT without an INTO clause.

ARGUMENTS

void * plan
    execution plan (returned by SPI_prepare)

RETURN VALUE

true or false to indicate if the plan can produce a cursor or not, or SPI_ERROR_ARGUMENT if the plan is NULL